Bug 141496 - mDNSResponder process uses too much virtual memory
mDNSResponder process uses too much virtual memory
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: howl (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 12:17 EST by dann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-13 12:07:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dann 2004-12-01 12:17:20 EST
Description of problem:

mDNSResponder process uses too much virtual memory


Version-Release number of selected component (if applicable):
 mDNSResponder -v
mDNSResponder release 0.9.6 Copyright(c) Porchdog Software 2004.
howl-0.9.6-6

How reproducible:
Just run in a shell:
pmap -x <PID_OF_mDNSResponder_PROCESS>

Here is the output that I get:

 pmap -x 2039
2039:   mDNSResponder
Address   Kbytes     RSS    Anon  Locked Mode   Mapping
08048000     136       -       -       - r-x--  mDNSResponder
0806a000       4       -       -       - rw---  mDNSResponder
0806b000    1104       -       -       - rw---    [ anon ]
0912d000     132       -       -       - rw---    [ anon ]
f6450000     308       -       -       - rw---    [ anon ]
f649d000       4       -       -       - -----    [ anon ]
f649e000   10248       -       -       - rw---    [ anon ]
f6ea0000    1156       -       -       - r-x--  libc-2.3.3.so
f6fc1000       8       -       -       - r----  libc-2.3.3.so
f6fc3000       8       -       -       - rw---  libc-2.3.3.so
f6fc5000       8       -       -       - rw---    [ anon ]
f6fc7000      56       -       -       - r-x-- 
libpthread-2.3.3.so.#prelink#.oAXIQO (deleted)
f6fd5000       4       -       -       - r---- 
libpthread-2.3.3.so.#prelink#.oAXIQO (deleted)
f6fd6000       4       -       -       - rw--- 
libpthread-2.3.3.so.#prelink#.oAXIQO (deleted)
f6fd7000       8       -       -       - rw---    [ anon ]
f6fe9000      84       -       -       - r-x--  ld-2.3.3.so
f6ffe000       4       -       -       - r----  ld-2.3.3.so
f6fff000       4       -       -       - rw---  ld-2.3.3.so
feea6000    1384       -       -       - rw---    [ stack ]
ffffe000       4       -       -       - -----    [ anon ]
-------- ------- ------- ------- -------
total kB   14668       -       -       -
           ^^^^^^
            More than 14MB total VM usage!
Of which >10MB anonymous mapping and ~1.3MB stack. 
These numbers seem to be too high for a small program like mDNSResponder



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Vas Dias 2006-01-13 12:07:21 EST
Well, if you don't like it, don't run it :-) 

Really, mDNSResponder's memory usage is rather average - 
consider that of named:
...
total kB   36556       -       -       -

or of ypbind:
total kB   24264       -       -       -

I don't think it is worthwhile expending development effort on tweaking
mDNSResponder's memory usage, as it causes no actual problems, and howl
is now end-of-life, having been replaced by avahi.

Note You need to log in before you can comment on or make changes to this bug.